Session Limit (Template)
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getTemplateSessionLimit | GET | Get site template's session limit |
| modifyTemplateSessionLimit | PATCH | Modify site template's session limit |
| getTemplateGridSessionLimitRule | GET | Get site template's session limit rule list |
| modifyTemplateSessionLimitRuleIndex | PATCH | Modify site template's session limit rule index |
| createTemplateSessionLimitRule | POST | Create site template's session limit rule |
| deleteTemplateSessionLimitRule | DELETE | Delete site template's session limit rule |
| modifyTemplateSessionLimitRule | PATCH | Modify site template's session limit rule |
getTemplateSessionLimit
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit
Get site template's session limit
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getTemplateSessionLimit",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template's session limit.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyTemplateSessionLimit
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit
Modify site template's session limit
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema Session limit entity
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable the session limit. |
// omada_call_operation
{
"operationId": "modifyTemplateSessionLimit",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template's session limit.
The interface requires one of the permissions:
Global Site Template Manager Modify
getTemplateGridSessionLimitRule
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit/rules
Get site template's session limit rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTemplateGridSessionLimitRule",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template's session limit rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyTemplateSessionLimitRuleIndex
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit/rules
Modify site template's session limit rule index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema TransmissionDragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyTemplateSessionLimitRuleIndex",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template's session limit rule index.
The interface requires one of the permissions:
Global Site Template Manager Modify
createTemplateSessionLimitRule
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit/rules
Create site template's session limit rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SessionLimitRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 64 characters. |
status | boolean | yes | Status of the session limit rule. |
sourceType | integer | yes | Source type should be a value as follows: 0: network; 1: IP group; 2: IP. |
sourceIds | array<string> | no | Source IDs of the session limit rule, only for network and IP group type.Network can be created using 'Create LAN network template' interface, and network ID can be obtained from 'Get LAN network template list' interface. IP group can be created using 'Create a new group profile template' interface, and IP group ID can be obtained from 'Get group profile template list' interface. |
ip | string | no | IP of the session limit rule. |
maxSession | integer | yes | Max sessions should be within the range of 1–999999. |
// omada_call_operation
{
"operationId": "createTemplateSessionLimitRule",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create site template's session limit rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-33600 - Invalid Source Type.
-34206 - The number of Session Limit rules has reached the limit.
-34263 - The gateway does not support the IP Address rule.
deleteTemplateSessionLimitRule
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit/rules/{ruleId}
Delete site template's session limit rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Session limit rule ID |
// omada_call_operation
{
"operationId": "deleteTemplateSessionLimitRule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete site template's session limit rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyTemplateSessionLimitRule
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/session-limit/rules/{ruleId}
Modify site template's session limit rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Session limit rule ID |
Request body — application/json (required) — schema SessionLimitRuleTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 64 characters. |
status | boolean | yes | Status of the session limit rule. |
sourceType | integer | yes | Source type should be a value as follows: 0: network; 1: IP group; 2: IP. |
sourceIds | array<string> | no | Source IDs of the session limit rule, only for network and IP group type.Network can be created using 'Create LAN network template' interface, and network ID can be obtained from 'Get LAN network template list' interface. IP group can be created using 'Create a new group profile template' interface, and IP group ID can be obtained from 'Get group profile template list' interface. |
ip | string | no | IP of the session limit rule. |
maxSession | integer | yes | Max sessions should be within the range of 1–999999. |
// omada_call_operation
{
"operationId": "modifyTemplateSessionLimitRule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template's session limit rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-33600 - Invalid Source Type.
-34218 - Unable to change the IP type rules to other types.
-34263 - The gateway does not support the IP Address rule.